WordPress.org

Support

Support » Plugins and Hacks » Slideshare Plug-in doesnt work with WP 2.7.1

Slideshare Plug-in doesnt work with WP 2.7.1

  • Ever since I upgraded to the latest version of WordPress, I can’t get the Slideshare plug-in to work for New Posts. The slideshows still show up in old posts, but if I type the slideshow code into a new post, nothing shows up. Any ideas on why this would be?

Viewing 7 replies - 1 through 7 (of 7 total)
  • Did you get any feedback regarding your issue with the plug-in?

    I’ve started using WP 271 hosted by GoDadday and Plug-In 1.5.

    Using either the Classic or the WP 1.6 themes, I have the same problem. When the page first loads, the slideshare frame flashes briefly but once the page is loaded the frame is blank. Right clicking on that region says ‘movie not loaded’.

    I’ve looked through other support forums but haven’t found any solution yet.

    There doesn’t seem to be very active support responses for the plug-in.

    I’d appreciate any information you may have received!

    Greetings!

    I just had the same error with upgrading to WP 271. On a whim, I decided to delete the last full line of code (in “plug-in edit) that contained the words “short code”.

    I saved my revisions, and the plug-in activated!

    Hope this might work for you!

    Dr. Carlsen

    There is a bug in the plugin. Edit the plugin and replace the following line:

    $content		= '<object style="margin:0px" width="'.$width.'" '.'height="'.$height.'"><param name="movie" value="http://static.slideshare.net/swf/ssplayer2.swf?doc='.$r['doc'].'"/><param name="allowFullScreen" value="true"/><param name="allowScriptAccess" value="always"/><embed src="http://static.slideshare.net/swf/"'.$player.'?doc="'.$r['doc'].'" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="'.$width.'" '.'height="'.$height.'"></embed></object>';

    with the following line:

    $content		= '<object style="margin:0px" width="'.$width.'" '.'height="'.$height.'"><param name="movie" value="http://static.slideshare.net/swf/ssplayer2.swf?doc='.$r['doc'].'"/><param name="allowFullScreen" value="true"/><param name="allowScriptAccess" value="always"/><embed src="http://static.slideshare.net/swf/'.$player.'?doc='.$r['doc'].'" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="'.$width.'" '.'height="'.$height.'"></embed></object>';

    There are two extra quotes in the code which cause the bug.

    All of these were solved in recent releases.

    Joost: I can’t get the latest version of the Slideshare plugin to display this presentation.

    I installed and enabled the plugin from my own hosted version of WordPress 2.9 standalone and used the following embed code:

    [slideshare id=2618863&doc=socialmediatimemanagement-091130193219-phpapp02]

    I just get a blank content area with no slide.

    When I installed the plugin, the plugin info page said it has not been tested with 2.9 and is compatible only up to 2.8.4. Is it yet not ready for WP 2.9?

    i’m having the same problem, i upgraded to 2.9.1 and now i feel like a chump, any suggestions on what needs to be edited?

    I am also getting the same issue, using WordPress MU 2.9.1. I wish now I hadn’t upgraded! 🙂

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Slideshare Plug-in doesnt work with WP 2.7.1’ is closed to new replies.
Skip to toolbar